commit:     1482fbb5e09dab1f4a38d5c611fd658d4151ec3c
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Tue Mar 17 22:51:43 2020 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Wed Mar 18 21:35:00 2020 +0000
URL:        https://gitweb.gentoo.org/proj/qt.git/commit/?id=1482fbb5

dev-qt/qtwayland: Fix and rename USE xcomposite to X

Add missing config switches.

Thanks-to: Jimi Huotari <chiitoo <AT> gentoo.org>
Package-Manager: Portage-2.3.94, Repoman-2.3.21
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 dev-qt/qtwayland/qtwayland-5.14.9999.ebuild | 15 ++++++++++++---
 dev-qt/qtwayland/qtwayland-5.15.9999.ebuild | 13 +++++++++++--
 2 files changed, 23 insertions(+), 5 deletions(-)

diff --git a/dev-qt/qtwayland/qtwayland-5.14.9999.ebuild 
b/dev-qt/qtwayland/qtwayland-5.14.9999.ebuild
index 474000fb..c190d0e5 100644
--- a/dev-qt/qtwayland/qtwayland-5.14.9999.ebuild
+++ b/dev-qt/qtwayland/qtwayland-5.14.9999.ebuild
@@ -10,7 +10,7 @@ if [[ ${QT5_BUILD_TYPE} == release ]]; then
        KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86"
 fi
 
-IUSE="vulkan xcomposite"
+IUSE="vulkan X"
 
 DEPEND="
        >=dev-libs/wayland-1.6.0
@@ -20,7 +20,7 @@ DEPEND="
        media-libs/mesa[egl]
        >=x11-libs/libxkbcommon-0.2.0
        vulkan? ( dev-util/vulkan-headers )
-       xcomposite? (
+       X? (
                x11-libs/libX11
                x11-libs/libXcomposite
        )
@@ -32,7 +32,16 @@ src_prepare() {
                src/plugins/hardwareintegration/client/client.pro \
                src/plugins/hardwareintegration/compositor/compositor.pro
 
-       use xcomposite || rm -r config.tests/xcomposite || die
+       use X || rm -r config.tests/xcomposite || die
 
        qt5-build_src_prepare
 }
+
+src_configure() {
+       local myqmakeargs=(
+               --
+               $(qt_use X feature-xcomposite-egl)
+               $(qt_use X feature-xcomposite-glx)
+       )
+       qt5-build_src_configure
+}

diff --git a/dev-qt/qtwayland/qtwayland-5.15.9999.ebuild 
b/dev-qt/qtwayland/qtwayland-5.15.9999.ebuild
index 52fb0bcb..67e16940 100644
--- a/dev-qt/qtwayland/qtwayland-5.15.9999.ebuild
+++ b/dev-qt/qtwayland/qtwayland-5.15.9999.ebuild
@@ -10,7 +10,7 @@ if [[ ${QT5_BUILD_TYPE} == release ]]; then
        KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86"
 fi
 
-IUSE="vulkan xcomposite"
+IUSE="vulkan X"
 
 DEPEND="
        >=dev-libs/wayland-1.6.0
@@ -20,7 +20,7 @@ DEPEND="
        media-libs/mesa[egl]
        >=x11-libs/libxkbcommon-0.2.0
        vulkan? ( dev-util/vulkan-headers )
-       xcomposite? (
+       X? (
                x11-libs/libX11
                x11-libs/libXcomposite
        )
@@ -34,3 +34,12 @@ src_prepare() {
 
        qt5-build_src_prepare
 }
+
+src_configure() {
+       local myqmakeargs=(
+               --
+               $(qt_use X feature-xcomposite-egl)
+               $(qt_use X feature-xcomposite-glx)
+       )
+       qt5-build_src_configure
+}

Reply via email to